
  <!DOCTYPE html>
  <html>
    <head>
      <title>useDefaultValues.ts</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/pages/additional-confirugation/hooks/useDefaultValues.ts</td><td class="">98.21%</td><td class="">80%</td><td class="">56</td><td class="">55</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import { useFeeds } from &#x27;./useFeeds&#x27;;
import { useMetabolites } from &#x27;./useMetabolites&#x27;;
import { useInputs } from &#x27;./useInputs&#x27;;
import { useMemo } from &#x27;react&#x27;;

export const useDefaultValues = () =&gt; {
  const feeds = useFeeds();
  const metabolites = useMetabolites();
  const inputs = useInputs();
  return useMemo(() =&gt; {
    console.log(&#x27;&gt;&gt;&gt; useFieldsSpec&#x27;);
    const spec: { [p: string]: number } = {};
    feeds.forEach((feed) =&gt;
      metabolites.forEach((metabolite) =&gt; {
        spec[`${feed.id}___${feed.name}___${metabolite.value}___feed`] =
          feed.value;
      })
    );
    inputs.forEach((input) =&gt; {
      if ((input.type as any) === &#x27;Quadratic factor&#x27;) {
        spec[`${input.id}___input___target`] = input.target || 0;
      }

      spec[`${input.id}___input___low`] = input.lower_bound || 0;
      spec[`${input.id}___input___high`] = input.upper_bound || 0;
    });
    return spec;
  }, [feeds, inputs, metabolites]);
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/pages/additional-confirugation/hooks/useDefaultValues.ts&quot;,&quot;line&quot;:19,&quot;character&quot;:11,&quot;text&quot;:&quot;input.type as any&quot;,&quot;kind&quot;:3}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  